INTERFACE
SUBROUTINE RADTRTL(KSAT,KSENSOR,KDPROF,KPROF,KMXCH,KNCH,PRCH,&
 & PZENANG,PAZIANG,PSOLZENANG,PSOLAZIANG,PLAT,POROG,&
 & PTQOSAT,YDGEMSPROF,PPSSAT,PTSSAT,PT2SAT,PH2SAT,PCTOP,PCAMT ,&
 & PUSSAT,PVSSAT,PEMIS,&
 & PTQOSAT5,YDGEMSPROF5,PPSSAT5,PTSSAT5,PLSSAT5,PT2SAT5,&
 & PH2SAT5 ,PCTOP5,PCAMT5 ,PUSSAT5,PVSSAT5,PEMIS5, PTBCLR) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIMO , ONLY : NLSAT ,NMXTCHU ,&
 & NPNAV ,NPTNAV ,NPNSAV ,NPNSSV ,NPNCV 
USE TYPE_GEMS_PROFILES
REAL(KIND=JPRB) ,INTENT(IN) :: PZENANG(KDPROF)
INTEGER(KIND=JPIM),INTENT(IN) :: KDPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSAT
INTEGER(KIND=JPIM),INTENT(IN) :: KSENSOR
INTEGER(KIND=JPIM),INTENT(IN) :: KMXCH
INTEGER(KIND=JPIM),INTENT(IN) :: KNCH(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PAZIANG(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOLZENANG(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOLAZIANG(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCH(KDPROF,KMXCH)
REAL(KIND=JPRB) ,INTENT(IN) :: PTQOSAT(KDPROF,NLSAT,NPNAV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PPSSAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSSAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PT2SAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PH2SAT(KDPROF),PCTOP(KDPROF),PCAMT(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSSAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSSAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KDPROF,KMXCH)
TYPE (TYPE_GEMSPROF) ,INTENT(IN) :: YDGEMSPROF(KDPROF,NGEMS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTQOSAT5(KDPROF,NLSAT,NPNAV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PPSSAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSSAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSSAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PT2SAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PH2SAT5(KDPROF),PCTOP5(KDPROF),PCAMT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSSAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSSAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS5(KDPROF,KMXCH)
TYPE (TYPE_GEMSPROF) ,INTENT(IN) :: YDGEMSPROF5(KDPROF,NGEMS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTBCLR(KDPROF,KMXCH)
END SUBROUTINE RADTRTL
END INTERFACE
